#include <iostream>
#include "../common/funs.h"
using namespace std;

void ChangeImage(void)
{
	int t;
	float f;
	unsigned char r, g, b, a;

	cout << "Converting Image\n";
	for (unsigned int i=0; i<Pixels; i++)
	{
		r = InputImage[i].r;
		g = InputImage[i].g;
		b = InputImage[i].b;
		t = r + g + b;
		f = (float) t / 3;
		a = (unsigned char) f;
		OutputImage[i].r = a;
		OutputImage[i].g = a;
		OutputImage[i].b = a;
	}
}


int main (int argc, char* argv[])
{
	WaitForReadyFlag();					// wait for file go.flag to appear
	DeleteReadyFlag();					// delete file go.flag
	if (!ReadXMLImage())				// read in XML Image
		return 0;						// failed to read in image
	if (!ConvertXML2Image())			// convert XML to image
		return 0;						// failed to convert XML to image
	ChangeImage();						// change image
	ConvertImage2XML("../image.xml");	// convert image to XML
	WriteFinishedFlag("../go.flag");	// write finished flag

	return 0;
}