#include <iostream>
#include "../common/funs.h"
using namespace std;

void ChangeImage(void)
{
	cout << "Converting Image\n";
	for (unsigned int i=0; i<Pixels; i++)
	{
		if (InputImage[i].r < 128)
			OutputImage[i].r = 255 - InputImage[i].r;
		else
			OutputImage[i].r = 128 - (InputImage[i].r - 127);

		if (InputImage[i].g < 128)
			OutputImage[i].g = 255 - InputImage[i].g;
		else
			OutputImage[i].g = 128 - (InputImage[i].g - 127);

		if (InputImage[i].b < 128)
			OutputImage[i].b = 255 - InputImage[i].b;
		else
			OutputImage[i].b = 128 - (InputImage[i].b - 127);
	}
}

int main (int argc, char* argv[])
{
	WaitForReadyFlag();					// wait for file go.flag to appear
	DeleteReadyFlag();					// delete file go.flag
	if (!ReadXMLImage())				// read in XML Image
		return 0;						// failed to read in image
	if (!ConvertXML2Image())			// convert XML to image
		return 0;						// failed to convert XML to image
	ChangeImage();						// change image
	ConvertImage2XML("../image.xml");	// convert image to XML
	WriteFinishedFlag("../go.flag");	// write finished flag

	return 0;
}