#include <iostream>
#include "../common/funs.h"
using namespace std;

void ChangeImage(void)
{
	cout << "Converting Image\n";
	// The code below rotates an image 180 degrees
	// it takes the first pixel and puts it last and
	// the last pixel and puts it first
	for (unsigned int i=0; i<Pixels; i++)
		OutputImage[Pixels-i-1] = InputImage[i];
}


int main (int argc, char* argv[])
{
	WaitForReadyFlag();					// wait for file go.flag to appear
	DeleteReadyFlag();					// delete file go.flag
	if (!ReadXMLImage())				// read in XML Image
		return 0;						// failed to read in image
	if (!ConvertXML2Image())			// convert XML to image
		return 0;						// failed to convert XML to image
	ChangeImage();						// change image
	ConvertImage2XML("../image.xml");	// convert image to XML
	WriteFinishedFlag("../go.flag");	// write finished flag

	return 0;
}